/*添加部门时动态改变部门下的用户类表*/
jQuery(function($) {

	if ($("input[name='id']").val() != null) {
		getUserByDept($("input[name='id']").val(), $('#department-parent_id').val(),lead_user_id.val());	
	}

	$(document).on('change', '#department-parent_id', function() {
		getUserByDept($("input[name='id']").val(), $(this).val());
	});

});

/**
 * 获取当前部门以及选择的父部门及其所有的父部门下的所有用户
 */
function getUserByDept(deptId,curSelect,leadUserId) {
	$.post(getUser, {'deptId':deptId,'parentId':curSelect,'leadUserId':leadUserId}, function(resp) {
		if (resp.status == 1) {
			$('#department-lead_user_id').empty();
			$('#department-lead_user_id').append(resp.data);
		}
	});
}